* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
}

body,
html {
  font-size: 16px;
  color: #333;
  line-height: 1.6;
  scroll-behavior: smooth;
}

.hidden {
  opacity: 0;
  transform: translateY(50px);
  transition: all 0.8s ease-out;
}

.show {
  opacity: 1;
  transform: translateY(0);
}

@keyframes navbar {
  0% {
    transform: translateY(-100px);
    opacity: 0;
  }
  100% {
    transform: translateY(0);
    opacity: 1;
  }
}

.navbar {
  animation: navbar 1s ease-out;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  padding: 0 20px;
  background-color: rgba(0, 0, 0, 0.01);
  transition: background-color 0.3s ease, backdrop-filter 0.3s ease;
  z-index: 1000;
}

.navbar.scrolled {
  background-color: rgba(5, 71, 125, 0.5);
  backdrop-filter: blur(10px);
}

#navbar {
  display: flex;
  justify-content: space-between;
  padding: 25px 50px;
  align-items: center;
  width: 100%;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1000;
}

.nav-left {
  padding-left: 150px;
}

.nav-left img {
  max-width: 100px;
  width: auto;
  height: auto;
}

.nav-right ul {
  list-style: none;
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 30px;
  padding-right: 20px;
}

.nav-right ul li a {
  margin-right: 100px;
  text-decoration: none;
  color: #ffffff;
  font-size: 1.2em;
}

.nav-right .kontak {
  margin: 0 200px;
  padding: 1rem;
  border-radius: 100px;
  text-decoration: none;
  background-color: #0070c9;
  color: #ffffff;
  font-size: 1em;
}

.nav-right a:hover {
  color: #0070c9;
}

.nav-right .kontak:hover {
  border: 2px solid #0070c9;
  background-color: transparent;
  color: #0070c9;
  font-weight: bold;
}

.nav-right ul li a.active {
  color: #0070c9;
  border-bottom: 2px solid #0070c9;
}

.menu-icon {
  display: none;
  font-size: 2rem;
  cursor: pointer;
  color: #333;
}

.close-btn {
  display: none;
  font-size: 2rem;
  cursor: pointer;
  background: none;
  border: none;
  color: white;
  position: absolute;
  top: 10px;
  right: 10px;
}

#content-1 {
  background-attachment: fixed;
  position: relative;
  height: 50vh;
  background-size: cover;
  background-image: url("../img/foto3.jpg");
  overflow: hidden;
}

#content-1::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(
      to top right,
      rgba(82, 87, 134, 0.3),
      rgba(255, 255, 0, 0)
    ),
    linear-gradient(to bottom left, rgba(17, 0, 255, 0.3), rgba(255, 255, 0, 0));
  z-index: 1;
}
.container-1 {
  position: absolute;
  margin: 0;
  width: 100%;
  top: 40%;
  text-align: center;
  color: white;
  transform: scale(0.8);
  z-index: 2;
}

.container-1 h3 {
  font-size: 1.5em;
}

.container-1 h1 {
  font-size: 5em;
}

.container-1 a {
  text-decoration: none;
  color: #0070c9;
}

.container-1 a:hover {
  text-decoration: underline;
}

.content-2 {
  background-color: #e5eef5;
  display: flex;
  justify-content: center;
  align-items: center;
}

.container-2 .atas {
  text-align: center;
  padding: 30px;
}

.container-2 .atas h1 {
  font-size: 3em;
}

.container-2 .atas p {
  font-size: 1.5em;
  padding-bottom: 50px;
}

.container-2 .atas a {
  background-color: #0070c9;
  color: #fff;
  padding: 20px;
  border-radius: 50px;
  text-decoration: none;
  font-weight: bold;
}

.container-2 .atas a:hover {
  border: 2px solid #0070c9;
  color: #0070c9;
  background-color: transparent;
}

.container-2 .bawah {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 50px;
  padding: 100px 200px 200px;
}

.container-2 .bawah .kiri {
  text-align: center;
  background-color: #fff;
  box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.5);
  padding: 50px 50px 100px;
  border-radius: 20px;
}

.container-2 .bawah .kiri:hover {
  transform: translateY(-10px);
}

.container-2 .bawah .kiri img {
  height: auto;
  width: 100px;
  padding-bottom: 10px;
}

.container-2 .bawah .kiri h1 {
  font-size: 2em;
  padding-bottom: 30px;
}

.container-2 .bawah .kiri p {
  font-size: 1.5em;
}

.container-2 .bawah .kiri h2 {
  padding-top: 50px;
}

.container-2 .bawah .kanan {
  text-align: center;
  background-color: #fff;
  box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.5);
  padding: 50px 50px 100px;
  border-radius: 20px;
}

.container-2 .bawah .kanan:hover {
  transform: translateY(-10px);
}

.container-2 .bawah .kanan img {
  height: auto;
  width: 100px;
  padding-bottom: 10px;
}

.container-2 .bawah .kanan h1 {
  font-size: 2em;
  padding-bottom: 30px;
}

.container-2 .bawah .kanan p {
  font-size: 1.5em;
}

.container-2 .bawah .kanan h2 {
  padding-top: 50px;
}

.contact-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 50px 250px;
}

.map-container {
  flex: 1;
  min-width: 50%;
}

.map-container iframe {
  height: 700px;
}

.form-container {
  flex: 1;
  min-width: 50%;
  padding: 20px;
}

.form-container h2 {
  color: #333;
}

.form-container p {
  margin-bottom: 20px;
  color: #555;
}

.form-group {
  margin-bottom: 15px;
}

.form-container label {
  display: block;
  margin-bottom: 5px;
  font-weight: bold;
}

.form-container input,
textarea {
  width: 100%;
  padding: 10px;
  margin-bottom: 10px;
  border: 1px solid #ccc;
  border-radius: 4px;
}

.form-container button {
  background-color: #0070c9;
  color: #fff;
  border: none;
  width: 100%;
  padding: 10px 20px;
  border-radius: 50px;
  font-size: 1em;
  cursor: pointer;
  font-weight: bold;
}

button:hover {
  background-color: transparent;
  border: 2px solid #0070c9;
  color: #0070c9;
}

footer {
  background-color: #05477d;
}

.content-top {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 100px;
  gap: 10px;
}

.content-top1 {
  color: #fff;
}

.content-top1 img {
  width: 300px;
  height: auto;
  padding-bottom: 20px;
}

.content-top1 p {
  font-size: 1.2em;
}

.content-top2 {
  color: #fff;
}

.content-top2 h1 {
  padding-bottom: 30px;
  font-size: 2.5em;
}

.content-top2 p {
  font-size: 1.2em;
  line-height: 50px;
  padding-bottom: 10px;
}

.content-top2 p strong {
  padding-bottom: 20px;
}

.content-top2 a {
  background-color: #ffffff;
  color: #0070c9;
  text-decoration: none;
  padding: 20px;
  border-radius: 50px;
  font-weight: bold;
}

.content-top2 a:hover {
  background-color: #05477d;
  border: 2px solid #ffffff;
  color: #ffffff;
}

.content-middle {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 100px;
  gap: 30px;
  color: #fff;
}

.content-mid1 {
  padding-left: 100px;
}

.content-mid1 h1 {
  padding-bottom: 50px;
  font-size: 2.5em;
}

.content-mid1 p {
  font-size: 1.2em;
}

.content-mid2 {
  padding-right: 200px;
}

.content-mid2 span {
  padding-right: 100px;
}

.content-mid2 a {
  cursor: pointer;
}

.content-mid2 img {
  width: 200px;
  height: auto;
  margin-right: 250px;
  filter: invert(1);
}

.content-bottom {
  padding: 50px;
  color: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 0.9em;
}

@media (max-width: 1280px) {
  .nav-left {
    padding-left: 30px;
  }
  .nav-right ul li a {
    margin-right: 100px;
  }
  .nav-right .kontak {
    margin: 0 50px;
  }
  .contact-container {
    padding: 50px 30px;
  }
  .content-top {
    gap: 50px;
    padding: 50px;
  }

  .content-middle {
    gap: 50px;
  }

  .content-mid2 {
    padding-right: 0px;
  }
}

@media (max-width: 1024px) {
  /* Navbar */
  .nav-left {
    padding-left: 30px;
  }
  .nav-right ul li a {
    margin-right: 10px;
  }
  .nav-right .kontak {
    margin: 0 20px;
  }
  #content-1 {
    height: 50vh;
  }
  .container-1 h1 {
    font-size: 5em;
  }
  .container-2 .atas {
    text-align: center;
    padding: 30px;
  }

  .container-2 .atas h1 {
    font-size: 2.2em;
  }

  .container-2 .atas p {
    font-size: 1.2em;
    padding-bottom: 50px;
  }
  .container-2 .atas a {
    padding: 20px;
    font-weight: bold;
  }
  .container-2 .bawah {
    padding: 100px 10px 200px;
    gap: 10px;
  }

  .container-2 .bawah .kiri {
    padding: 50px 50px 100px;
    border-radius: 20px;
  }
  .container-2 .bawah .kanan {
    padding: 50px 50px 100px;
    border-radius: 20px;
  }
  .contact-container {
    flex-direction: column;
    padding: 50px;
  }

  .map-container iframe {
    height: 250px;
  }
  /* Footer */
  .content-top1 img {
    width: 200px;
    height: auto;
    padding-bottom: 20px;
  }

  .content-top1 p {
    font-size: 1em;
    padding-right: 100px;
  }

  .content-top2 h1 {
    padding-bottom: 10px;
    font-size: 2em;
  }

  .content-top2 p {
    font-size: 1em;
    line-height: 30px;
    padding-bottom: 10px;
  }

  .content-mid1 {
    padding-left: 50px;
  }

  .content-mid1 h1 {
    padding-bottom: 50px;
    font-size: 2.5em;
  }

  .content-mid1 p {
    font-size: 1.2em;
  }

  .content-mid2 {
    padding-right: 100px;
  }

  .content-mid2 span {
    padding-right: 100px;
  }

  .content-mid2 a {
    cursor: pointer;
  }

  .content-mid2 img {
    width: 150px;
    height: auto;
    margin-right: 0px;
    filter: invert(1);
  }

  .content-top,
  .content-middle {
    padding: 50px;
  }
}

@media (max-width: 768px) {
  /* Navbar */
  #navbar {
    padding: 25px 10px;
  }
  .nav-left {
    padding-left: 20px;
  }
  .nav-right ul {
    gap: 15px;
  }
  .nav-right ul li a {
    margin-right: 50px;
    font-size: 1em;
  }
  .nav-right .kontak {
    margin: 0 20px;
    padding: 0.5rem;
  }

  .nav-right .kontak:hover {
    border: 1px solid #0070c9;
    background-color: transparent;
    color: #0070c9;
    font-weight: lighter;
  }
  .container-2 .bawah {
    padding: 100px 50px 200px;
  }
  .container-2 .bawah .kiri {
    padding: 50px 10px;
  }
  .container-2 .bawah .kanan {
    padding: 50px 10px;
  }
}

@media (max-width: 480px) {
  /* Navbar */
  #navbar {
    padding: 10px;
  }

  nav {
    display: none;
  }
  .nav-left {
    padding-left: 10px;
  }
  .nav-left img {
    width: 60px;
    padding-left: 20px;
  }

  .menu-icon {
    display: block;
    color: #fff;
    font-size: 1.4em;
    padding-right: 30px;
  }

  .sidebar .close-btn {
    position: absolute;
    top: 10px;
    left: 10px;
    background-color: transparent;
    border: none;
    color: white;
    font-size: 1.5rem;
    cursor: pointer;
  }

  .close-btn.active {
    right: 0;
  }

  .sidebar {
    position: fixed;
    top: 0;
    right: -250px;
    width: 250px;
    height: 100vh;
    background-color: #333;
    color: white;
    padding: 2rem 1rem;
    display: flex;
    flex-direction: column;
    transition: right 0.3s ease;
    z-index: 1000;
  }

  .sidebar.active {
    right: 0;
  }
  .container-1 h1 {
    font-size: 3em;
  }

  .container-1 h3 {
    font-size: 1em;
  }
  .container-2 .atas {
    padding: 30px 100px;
  }
  .container-2 .atas h1 {
    font-size: 1.3em;
  }

  .container-2 .atas p {
    font-size: 0.9em;
    padding-bottom: 30px;
  }
  .container-2 .atas a {
    font-size: 0.8em;
    padding: 10px;
  }
  .container-2 .bawah {
    flex-direction: column;
    gap: 30px;
    padding: 100px 200px 100px;
  }
  .map-container {
    min-width: none;
  }
  .map-container iframe {
    width: 500px;
  }
  /* Footer */
  .content-top,
  .content-middle {
    flex-direction: column;
    padding: 30px 20px;
    text-align: center;
  }

  .content-top1 img {
    width: 150px;
  }

  .content-top1 p {
    font-size: 1em;
    padding-right: 0;
  }

  .content-top2 h1 {
    font-size: 1.3em;
  }

  .content-top2 p {
    font-size: 1em;
    line-height: 40px;
    padding-bottom: 0;
  }

  .content-top2 a {
    padding: 15px;
    font-size: 1em;
  }

  .content-top2 a:hover {
    border: 1px solid #ffffff;
    font-weight: normal;
  }

  .content-middle {
    gap: 10px;
  }

  .content-mid1 {
    padding-left: 0;
  }

  .content-mid1 h1 {
    padding-bottom: 20px;
    font-size: 1.3em;
  }

  .content-mid1 p {
    font-size: 1em;
  }

  .content-mid2 {
    padding-right: 0;
  }
  .content-mid2 img {
    margin-right: 0;
    width: 100px;
  }

  .content-bottom {
    padding: 20px;
    font-size: 0.7em;
  }
}

@media (max-width: 320px) {
  .container-1 h1 {
    font-size: 2em;
  }

  .container-1 h3 {
    font-size: 0.8em;
  }
  .container-2 .atas {
    padding: 30px 250px;
  }
  .container-2 .atas h1 {
    font-size: 1em;
  }

  .container-2 .atas p {
    font-size: 0.7em;
    padding-bottom: 30px;
  }
  .container-2 .atas a {
    font-size: 0.6em;
    padding: 10px;
    font-weight: normal;
  }
  .container-2 .bawah .kiri img {
    width: 50px;
  }
  .container-2 .bawah .kiri h1 {
    font-size: 1.3em;
    padding-bottom: 30px;
  }

  .container-2 .bawah .kiri p {
    font-size: 1em;
  }

  .container-2 .bawah .kiri h2 {
    padding-top: 50px;
    font-size: 1em;
  }
  .container-2 .bawah .kanan img {
    width: 50px;
  }
  .container-2 .bawah .kanan h1 {
    font-size: 1.3em;
    padding-bottom: 30px;
  }

  .container-2 .bawah .kanan p {
    font-size: 1em;
  }

  .container-2 .bawah .kanan h2 {
    padding-top: 50px;
    font-size: 1em;
  }
  .contact-container {
    padding: 50px 20px;
    gap: 20px;
  }
  .map-container iframe {
    width: 300px;
    height: 150px;
  }
  .form-container {
    padding: 0px;
  }

  .form-container h2 {
    font-size: 1em;
  }

  .form-container p {
    font-size: 0.7em;
  }
  .form-container label {
    font-size: 0.8em;
  }
  .form-container button {
    font-size: 0.7em;
  }
}
